//////// IMPORTS, VARIABLES, AND MIXINS ////////
@import './_reset';
@import url('https://fonts.googleapis.com/css?family=Bungee&display=swap');
$bg-main-color: #99B4FF;
$bg-accent-color: #CEDBFF;
$border-color: #001652;
$transparent: hsla(0, 0%, 0, 0);
$ferrari-red: #ff2800;
$success-green:  #4bb543;   
$border-width: 8px;
$heading-padding: 10px;
$heading-font-size: 1.5rem;
$content-font-size: 1.2rem;



@mixin display-flex($justify, $align: stretch, $direction: row) {
    display: flex;
    justify-content: $justify;
    align-items: $align;
    flex-direction: $direction;
}
//////// IMPORTS, VARIABLES, AND MIXINS ////////

//////// MAIN PAGE STRUCTURE ////////
html {
    font-family: 'Courier New', Courier, monospace;
    font-weight: bold;
}

main {
    @include display-flex(space-between);
    width: 100%;
    height: 100vh;
    background-color: $bg-main-color;
}

.menu-side {
    @include display-flex(space-between, space-between, column);
}

.display-side {
    width: 100%;
    height: 100%;
    @include display-flex(center, center);
}
//////// MAIN PAGE STRUCTURE ////////

//////// DISPLAY SIDE SYLING ////////
.nav-links {
    border-bottom: $border-width solid $border-color;
    border-right: $border-width solid $border-color;
    background-color: $bg-accent-color; 

    li:first-of-type {
        padding-top: 50px;
    }

    li {
        margin: 0 0 35px 30px;
    }

    a {
        font-size: 1.7rem;
        color: $border-color;
        display: inline-block;
        user-select: none;

        &:after {
            content: '';
            display: block;
            width: 0;
            transition: width .2s ease-out;
            height: 5px;
            border-radius: 70px 0;
            background-color: $ferrari-red;
        }

        &:hover::after {
            width: 95%;
            transition: width .1s;
        }
    }
}

.logo-text {
    font-size: 4rem;
    margin: 0 0 25px 30px;
    letter-spacing: 2px;
    font-family: 'Bungee', cursive;
    color: $border-color;
    color: $ferrari-red;
    user-select: none;
}
//////// DISPLAY SIDE SYLING ////////

//////// TABLE STYLING ////////
table {
    border-collapse: collapse;
    border: $border-width solid $border-color;

    tr:first-of-type {
        background-color: $border-color; 
    }

    tr {
        background-color: $bg-accent-color; 
    }
    
    td,
    th {
        text-align: left;
        padding: $heading-padding;
    }

    td {
        font-size: $content-font-size;
    }

    th {
        text-transform: uppercase;
        color: $ferrari-red;
        font-size: $heading-font-size; 
    }
}

.schedule-table {
    width: 80%;
}

.standings-table {
    width: 65%;    
}
//////// TABLE STYLING ////////

//////// CONTACT PAGE STYLING ////////
.contact-form-container {
    @include display-flex(center, center, column);
    background-color: $bg-accent-color;
    border: $border-width solid $border-color;
    width: 60%;
}

.header-wrapper {
    width: 100%;
    background-color: $border-color;

    h1 {
        text-transform: uppercase;
        color: $ferrari-red;
        font-size: $heading-font-size;
        padding: $heading-padding;
    }
}

.contact-form {
    display: grid;
    padding: 30px 15px 15px 15px;
    width: 100%;
    grid-gap: 20px 30px;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 2fr 2fr auto;
    grid-template-areas: 
    "name message"
    "email message"
    "response send";
 
    span {
        color: $border-color;
        font-size: $content-font-size;
    }
}

textarea {
    height: 100%;
    width: 100%;
    background-color: $transparent;
    border: 4px solid $border-color;
    resize: none;

    &:focus {
        outline: none;
    }
}

.submit-wrapper {
    color: $ferrari-red;
    cursor: pointer;
    display: flex;
    align-items: center;
    background-color: $transparent;
    border: $border-width solid $border-color;
    padding-left: 12px;

    span {
        margin-right: 20px;
        color: $ferrari-red;
    }
    
}

.input-name,
.input-email {
    font-size: 1rem;
    height: 2.2rem;
    width: 100%;
    background-color: $bg-accent-color;
    border: 4px solid $border-color;

    &:focus {
        outline: none;
    }
}

.wrapper {
    @include display-flex(flex-start, flex-start, column);
}

.name-wrapper {
    grid-area: name;
}

.message-wrapper {
    grid-area: message;
}

.email-wrapper {
    grid-area: email;
}

.response-wrapper {
    grid-area: response;
}

.submit-wrapper {
    grid-area: send;
    align-self: start;
    justify-self: end;
    border: 4px solid $border-color;
    border-radius: 10px;

    span:after {
        content: '';
    }

    &:hover span:after {
       content: '>';
       margin-left: 10px;
    }
}

.response-wrapper {
    font-size: 1rem;

    .red {
        color: $ferrari-red;
    }

    .green {
        color: $success-green;
    }
}

.date-unformatted {
    display: none;
  }

// use this to style line height of input field 'height: 4rem;'


//////// CONTACT PAGE STYLING ////////

//////// MEDIA QUERIES ////////

//////// MEDIA QUERIES ////////


